{if $oUserCurrent}

	<section class="block block-type-activity">
		<header class="block-header">
			<h3>{$aLang.stream_block_config_title}</h3>
		</header>
		
		<div class="block-content">
			<small class="note">{$aLang.stream_settings_note_filter}</small>
			
			<ul class="activity-settings-filter">
				{foreach from=$aStreamEventTypes key=sType item=aEventType}
					{if !($oConfig->get('module.stream.disable_vote_events') && substr($sType, 0, 4) == 'vote')}
						<li>
							<label>
								<input class="streamEventTypeCheckbox input-checkbox" type="checkbox" id="strn_et_{$sType}" data-target_type="{$sType}" {if in_array($sType, $aStreamTypesList)}checked="checked"{/if}/>
								{assign var=langKey value="stream_event_type_`$sType`"}
								{$aLang.$langKey}
							</label>
						</li>
					{/if}
				{/foreach}
			</ul>
		</div>
	</section>
		
	<section class="block block-type-activity">
		<header class="block-header">
			<h3>{$aLang.stream_block_users_friends}</h3>
		</header>
		
		<div class="block-content">
			<small class="note">{$aLang.stream_settings_note_follow_friend}</small>
			
			{if count($aStreamFriends)}
				<ul class="stream-settings-friends user-list-mini max-height-200">
					{foreach from=$aStreamFriends item=oUser}
						{assign var=iUserId value=$oUser->getId()}
						<li{if !$LS->GetModuleObject('User')->checkPrivacyAccess($oUser, $oUserCurrent, $oUser->getPrivacySettings()->getActivitiesAccessLevel())} class="grayed" title="{$aLang.stream_user_private}"{/if}>
							<input class="streamUserCheckbox input-checkbox" type="checkbox" id="strm_u_{$iUserId}" data-user_id="{$iUserId}" autocomplete="off"
									{if isset($aStreamSubscribedUsers.$iUserId)} checked{/if}/>
							<a href="{$oUser->getUserWebPath()}" title="{$oUser->getLogin()}"><img src="{$oUser->getProfileAvatarPath(24)}" class="avatar" />{$oUser->getLogin()}</a>
						</li>
					{/foreach}
				</ul>
			{else}
				<small class="note">{$aLang.stream_no_subscribed_users}</small>
			{/if}
		</div>
	</section>
		
	<section class="block block-type-activity">
		<header class="block-header">
			<h3>{$aLang.stream_block_users_title}</h3>
		</header>
		
		<div class="block-content">
			<div class="search-form-wrapper">
				<div class="search-input-wrapper">
					<input type="text" id="stream_users_complete" autocomplete="off" placeholder="{$aLang.stream_block_config_append}" class="autocomplete-users input-text input-width-full" />
					<div class="input-submit"></div>
				</div>
			</div>
			
			{if count($aStreamSubscribedUsers)}
				<ul id="stream_block_users_list" class="user-list-mini max-height-200">
					{foreach from=$aStreamSubscribedUsers item=oUser}
						{assign var=iUserId value=$oUser->getId()}
						
						{if !isset($aStreamFriends.$iUserId)}
							<li{if !$LS->GetModuleObject('User')->checkPrivacyAccess($oUser, $oUserCurrent, $oUser->getPrivacySettings()->getActivitiesAccessLevel())} class="grayed" title="{$aLang.stream_user_private}"{/if}>
								<input class="streamUserCheckbox input-checkbox" type="checkbox" id="strm_u_{$iUserId}" data-user_id="{$iUserId}" autocomplete="off" checked>
								<a href="{$oUser->getUserWebPath()}" title="{$oUser->getLogin()}"><img src="{$oUser->getProfileAvatarPath(24)}" class="avatar" />{$oUser->getLogin()}</a>
							</li>
						{/if}
					{/foreach}
				</ul>
			{else}
				<ul id="stream_block_users_list" class="user-list-mini max-height-200"></ul>
				<p id="stream_no_subscribed_users" class="note">{$aLang.stream_no_subscribed_users}</p>
			{/if}
		</div>
	</section>
{/if}
